import { IHttpOptions } from './interfaces/http';
import { IServerOptions } from './interfaces/server';
import { IObject, TObjectType } from './interfaces/common';
import { IComponent, IComponents } from './interfaces/component';
import { IApplicationOptions, IServerInfo } from './interfaces/application';
export declare class Application {
    logger: Console;
    serverInfo: IServerInfo;
    loaded: IComponent[];
    components: IComponents;
    serverMap: {
        [key: string]: IServerInfo;
    };
    settings: IObject;
    private startTime;
    constructor(opts: IApplicationOptions);
    start(): Promise<void>;
    private afterStart;
    get(key: 'httpConfig'): IHttpOptions;
    get(key: 'serverConfig'): IServerOptions;
    get(key: string): any;
    set(key: 'httpConfig', value: IHttpOptions, attach?: boolean): any;
    set(key: 'serverConfig', value: IServerOptions, attach?: boolean): any;
    set(key: string, value: any, attach?: boolean): any;
    /**
     * 加载组件
     * @param component
     * @param opts
     */
    load<T extends IComponent>(component: T, opts?: any): T;
    load<T extends IComponent>(component: TObjectType<T>, opts?: any): T;
    getBase(): string;
    getCurServer(): IServerInfo;
    getServerType(serverInfo?: IServerInfo): string;
    getServersByType(type: string): IServerInfo[];
    get serverId(): string;
    get serverType(): string;
}
