/// <reference types="node" />
import http from 'http';
import express from 'express';
import { IHttpServer, TFilter } from '..';
import { Application } from '../application';
export declare class ExpressServer implements IHttpServer {
    app: Application;
    port: number;
    filters: TFilter[];
    express: express.Express;
    expressServer: http.Server;
    constructor(app: Application);
    addFilter(filter: TFilter): void;
    start(): Promise<void>;
    afterStart(): Promise<void>;
    stop(): Promise<void>;
    addRoute(...args: any): void;
    /**
     * 加载路由
     */
    loadRoutes(): void;
}
