import schedule from 'node-schedule';
import { STATE } from '../utils/constants';
import { Application } from '../application';
import { ICron, ICronConfigs, IServerOptions } from '..';
export declare class Server {
    app: Application;
    state: STATE;
    cronHandlers: {
        [handler: string]: {
            [method: string]: () => void;
        };
    };
    crons: ICron[];
    cronConfigs: ICronConfigs;
    jobs: {
        [cronId: string]: schedule.Job;
    };
    constructor(app: Application, opts: IServerOptions);
    start(): void;
    afterStart(): void;
    stop(): void;
    /**
     * 初始化crons
     * @param manualReload 是否替换
     * @param clear 是否清空
     */
    initCrons(manualReload?: boolean, clear?: boolean): void;
    /**
     * 加载定时器handler
     * @param manualReload
     */
    private loadCronHandlers;
    /**
     * 根据配置加载定时器
     * @param manualReload 是否替换旧的
     */
    private loadCrons;
    /**
     * 检查并添加cron
     * @param cron
     * @param replace
     */
    private checkAndAdd;
    /**
     * 生成schedule
     */
    private createSchedule;
    /**
     * 移除现有的cron
     * @param ids
     */
    private removeCrons;
}
